Bug 59944 - Drag and drop doesn't transfer data through NSItemProviderReading
Summary: Drag and drop doesn't transfer data through NSItemProviderReading
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: XI runtime (show other bugs)
Version: XI 11.0 (xcode9)
Hardware: PC Windows
: Normal normal
Target Milestone: Xcode9.1
Assignee: Rolf Bjarne Kvinge [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-10-04 09:41 UTC by Ivan Icin
Modified: 2017-10-06 18:07 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: No
Last known good build:


Attachments
sample project (374.93 KB, application/x-zip-compressed)
2017-10-04 09:41 UTC, Ivan Icin
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Ivan Icin 2017-10-04 09:41:22 UTC
Created attachment 25085 [details]
sample project

As advised in Bug 57735, I am filing a separate issue for this.

I am attaching a sample project to reproduce this. As you can see in the code GetObject method of NSItemProviderReading should transfer NSData to the PerformDrop method of UIDropInteractionDelegate, but it doesn't happen.
Comment 1 Vincent Dondain [MSFT] 2017-10-04 20:13:34 UTC
I could confirm that issue with the following environment: https://gist.github.com/VincentDondain/719f215067c483c4c342c3d31768a286

In `DropItemProvider` I just updated `ReadableTypeIdentifiersForItemProvider` to return `UTType.Image` (so I could drop some photos).

The member variable in indeed null when getting `DropItemProvider` from `LoadObjects`.

Note: I made a quick native test case (well updated an Apple sample) to compare and it worked (https://www.dropbox.com/s/dd5mppkq19l63lh/Bug59944-SwiftRepro.zip?dl=0).
Comment 2 Rolf Bjarne Kvinge [MSFT] 2017-10-06 11:57:25 UTC
https://github.com/xamarin/xamarin-macios/pull/2857